> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/15/internals/system-catalogs/pg_db_role_setting.md).

# 53.16. pg\_db\_role\_setting

## 53.16. pg\_db\_role\_setting

The catalog `pg_db_role_setting` records the default values that have been set for run-time configuration variables, for each role and database combination.

Unlike most system catalogs, `pg_db_role_setting` is shared across all databases of a cluster: there is only one copy of `pg_db_role_setting` per cluster, not one per database.

**Table 53.16. `pg_db_role_setting` Columns**

| <p>Column Type</p><p>Description</p>                                                                                                                                                                                                                             |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p><code>setdatabase</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_database.md"><code>pg\_database</code></a>.<code>oid</code>)</p><p>The OID of the database the setting is applicable to, or zero if not database-specific</p> |
| <p><code>setrole</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_authid.md"><code>pg\_authid</code></a>.<code>oid</code>)</p><p>The OID of the role the setting is applicable to, or zero if not role-specific</p>                 |
| <p><code>setconfig</code> <code>text\[]</code></p><p>Defaults for run-time configuration variables</p>                                                                                                                                                           |

***

原文：[PostgreSQL 15.19 Documentation](/15/internals/system-catalogs/pg_db_role_setting.md)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.postgresql.tw/15/internals/system-catalogs/pg_db_role_setting.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
